/*
Theme Name:   Twenty Twenty-Five Malax Museum
Description:  Child theme for Twenty Twenty-Five - Malax Museum
Author:       Your Name
Template:     twentytwentyfive
Version:      1.0.0
Text Domain:  twentytwentyfive-malaxmuseum
*/

/* Your custom CSS goes below this line */

:root {
    --min-viewport: 360px;
    --max-viewport: 1600px;
    --viewport-range: 1240; /* 1600-360 */


}

body {
    /* Calculate fluid padding once */
    --fluid-padding: clamp(
        0px,
        calc(
            (50 / var(--viewport-range)) * 100vw -
            (50 / var(--viewport-range)) * var(--min-viewport)
        ),
        50px
    );

    --wp--style--root--padding-left: var(--fluid-padding);
    --wp--style--root--padding-right: var(--fluid-padding);
}

/* html {
    font-size: 16px;
} */

.wp-site-blocks > footer { margin-block-start: 0 !important; }

.image-hover-animate {
    transition: 0.3s ease;
}

.image-hover-animate:hover {
    filter: brightness(90%);
}

p.no-style a,
p.no-style a:visited,
p.no-style a:hover,
p.no-style a:active,
p.no-style a:focus {
    text-decoration: none;
    color: inherit;
    outline: none;
}



/* .equal-buttons {
    display: flex;
    width: 100%;
    gap: 0.5rem;
}

.equal-buttons .wp-block-button {
    flex: 1;
}

.equal-buttons .wp-block-button__link {
    width: 100%;
    text-align: center;
} */


/* Desktop navigation buttons */
@media (min-width:782px){
    /* Desktop navigation buttons only */
    .wp-block-navigation-item__content {
        display: inline-block;
        padding: 0.6rem 1rem;
        background: var(--wp--preset--color--content-background);
        border-radius: 3px;
        text-decoration: none;
        font-weight: 600;
        border: 1px solid #303030;
        transition: background-color 0.25s ease;
    }

    .wp-block-navigation-item__content:hover {
        background-color: color-mix(in srgb, var(--wp--preset--color--content-background) 80%, black);
    }

    /* Equal width */
    .wp-block-navigation__container {
        display: flex;
        gap: 0.5rem;
    }

    .wp-block-navigation-item {
        flex: 1;
    }

    .wp-block-navigation-item__content {
        width: 100%;
        text-align: center;
    }
}

.header-content-container {
    font-size: 16px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    padding-inline: clamp(
        5px,
        calc(
            (80 / var(--viewport-range)) * 100vw - 
            (80 / var(--viewport-range)) * var(--min-viewport)
        ),
        80px
    );

    padding-block: clamp(
        5px,
        calc(
            (40 / var(--viewport-range)) * 100vw - 
            (40 / var(--viewport-range)) * var(--min-viewport)
        ),
        40px
    );

    height: calc(0.22 * min(100vw, 1400px));

    /* aspect-ratio: 1400 / 308; */

    /* --wp--preset--font-size--small: 0.875rem;
    --wp--preset--font-size--medium: clamp(1rem, 1rem + ((1vw - 0.2rem) * 0.185), 1.125rem);
    --wp--preset--font-size--large: clamp(0.3rem, 0.3rem + ((1vw - 0.2rem) * 1.778), 1.5rem);
    --wp--preset--font-size--x-large: clamp(0.5rem, 0.5rem + ((1vw - 0.2rem) * 2.222), 2rem);
    --wp--preset--font-size--xx-large: clamp(1rem, 1rem + ((1vw - 0.2rem) * 4.444), 4rem); */
}



.header-first-row {
    align-items: start;

    & .header-languages {
        color: #1a1a1a;
        font-size: clamp(1rem, 2vw, 1.5rem);
        line-height: 1;
    }
}

.header-second-row {
    margin-block-start: 0;
    /* margin-block-start: clamp(0rem, 1vw, 1.2rem); */
    align-items: end;
    gap: 0;
    justify-content: space-between;

    & .header-title-container {
        display: flex;
        align-items: end;

        & .header-title {
            color: #1a1a1a;
            margin-top: 0;
            margin-right: 0;
            margin-bottom: clamp(-0.3rem, -0.3vw, 0rem);
            margin-left: clamp(0.5rem, 3vw, 3rem) !important;
            font-size: clamp(1rem, 5vw, 4rem);
            line-height: 0.8;
        }
        
        & .custom-logo {
            width: clamp(2rem, 6vw, 6rem);
        }
    }

    & .header-slogan {
        padding: clamp(0rem, 1vw, 1rem);
        /*width: clamp(15rem, 1vw, 33rem); */
        font-size: clamp(0.8rem, 2vw, 1.5rem);
        /* font-size: clamp(0.5rem, 0.5rem + ((1vw - 0.2rem) * 2.222), 2rem); */
        line-height: 1;

        & .slogan-second-row {
            padding-left: clamp(0rem, 5cqw, 6rem);
        }
    }
}


.header-navigation {
    /* margin-top: clamp(0.2rem, 5vw, 2rem) !important; */
    margin-block-start: 0;
    margin-block-end: 0;
    gap: clamp(0.5rem, 1vw, 1rem);

    & .wp-block-navigation {
        margin: 0;
        margin-block-start: 0;
        margin-block-end: 0;
    }
}

/* The simple header for all pages */
.header-page-content-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    aspect-ratio: 1400 / 308; /* so that background image of 1400x308px always is fully visible */

    & .custom-logo {
        width: clamp(2rem, 6vw, 6rem) !important;
    }
    & p {
        margin-block-start: 0;
    }
}

.entry-content {
    padding-top: clamp(0.5rem, 3cqw, 3rem);
    padding-bottom: clamp(0.5rem, 3cqw, 3rem);
    padding-inline: 5px;
}


/* Mobile overrides */
@media (max-width: 781px) {

    /* Less margin arond navigation */


    /* Always show the menu container on mobile */
    .wp-block-navigation__responsive-container {
        display: block !important;
        visibility: visible !important;
        opacity: 1 !important;
        transform: none !important;
        position: static !important;
        height: auto !important;
        width: auto !important;
        background: none !important;
        padding: 0 !important;
    }

    /* Show the actual menu list */
    .wp-block-navigation__responsive-container-content {
        display: block !important;
        position: static !important;
        opacity: 1 !important;
        visibility: visible !important;
        transform: none !important;
    }

    /* Hide the hamburger */
    .wp-block-navigation__responsive-container-open,
    .wp-block-navigation__responsive-container-close {
        display: none !important;
    }
}









.event-item {
    margin-bottom: 60px;
    border: 2px solid var(--wp--preset--color--frame-line);
    padding-inline: clamp(0rem, 2vw, 2rem);
    padding-block: clamp(0rem, 2vw, 1rem);
}

.event-date {
    font-size: 1.2rem;
    font-weight: 600;
    color: #666;
    margin-bottom: 0.5rem;
}

.event-title {
    font-size: 1.5rem;
    font-weight: 600;
    margin-top: 0;
    margin-bottom: 0.5rem;
}

.event-description {
    margin-bottom: 1rem;
}

.event-image {
    text-align: right;
}

@media (min-width: 800px) {
    .event-item .wp-block-columns {
        gap: 40px;
    }

    /* Mobile stacking fix */
    /* .event-row .event-text {
        order: 1;
    }

    .event-image {
        order: 2;
        text-align: center;
    } */
}


@media (max-width: 781px) {
    /* Mobile stacking fix */
    .event-row .event-text {
        order: 1;
    }
    
    .event-image {
        order: 2;
        text-align: center;
    }
}



.wp-block-separator {
    border-bottom-width: medium;
    border-color: var(--wp--preset--color--frame-line);
    margin-inline: 20px !important;
    max-width: 100%;
}



/* 
page background
ececec

content background
F7FCFC

diamond frame background
dadada

text
1a1a1a

diamond frame line
a29fa1

image frame background
c6c6c6

image frame border
635a56

footer background
878787

footer border
a29fa1 */





